.ev-mainProductSearchHeader {
    width: 100%;
    max-width: 1200px;
    min-width: 1200px;
   
}

.ev-mainProductSearchHeader__search {
    display: flex;
    justify-content: left;
    align-items: center;
    background-color: white;
}

.ev-mainProductSearchHeader__search div:last-child {
    margin-left: 8px;
    margin-top: 3px;
    font-size: 13px;
}

.ev-mainProductSearchHeader__title {
    font-weight: 700;
    font-size: 32px;
    color: #1F272F;
}

.ev-mainProductSearchHeader__container {
    display: flex;
    justify-content: center;
    padding: 30px;
    padding-top: 60px;
    background-color: #ffffff;
}

/** MAIN PRODUCT SEARCH CONTAINER */
.ev-mainProduct__search-container {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 16px;
    padding: 25px;
    background-color: #f7f8fa;
    margin: 0 auto;
    flex-wrap: wrap;
    max-width: 1200px;
}

/* Optional: allow the input to grow */
.ev-mainProduct__search-inputWrapper {
    flex: 1;
    min-width: 0;
}

.ev-mainProduct__search-input {
    width: 100%;
    height: 45px;
    border: 1px solid #ccc;
    border-radius: 9999px;
    padding: 0 20px;
    font-size: 14px;
}

@media (max-width: 1250px) {
    .ev-mainProductSearchHeader {
        min-width: auto;
    }
}
@media (max-width: 900px) {
    .ev-mainProductSearchHeader__search, .ev-mainProductSearchHeader__title{
        margin-left: 3px;
    }
    .ev-mainProductSearchHeader__container {
        padding: 15px;
    }
    .ev-mainProductSearchHeader__title {
        font-size: 18px;
    }
    .ev-mainProduct__search-container {
        flex-direction: column;
        align-items: stretch;
        text-align: left;
    }

    .ev-mainProduct__search-label {
        width: 100%;
        text-align: left;
        margin-left: 0;
    }

    .ev-mainProduct__search-inputWrapper,
    .ev-mainProduct__search-button {
        width: 100%;
    }

    .ev-mainProduct__search-button {
        margin: 0 !important;
        width: 100% !important;
        display: block !important;
        background-color: #DB002F !important;
        border: none !important;
        border-radius: 50px !important;
        height: 45px !important;
        font-weight: bold !important;
        font-size: 14px !important;
        color: #ffffff !important;
        cursor: pointer !important;
        transition: background-color 0.3s ease !important;
        padding: 0 !important;
    }

    .ev-mainProduct__search-button:hover {
        background-color: #c00034;
    }

    .ev-mainProduct__search-button:active {
        background-color: #a0002a;
    }

    .ev-mainProduct__search-input {
        width: 100%;
    }
}

.ev-mainProduct__search-label {
    font-family: 'Noto Sans JP', sans-serif;
    font-weight: bold;
    font-size: 16px;
    color: #000000;
}

.ev-mainProduct__search-input {
    height: 45px;
    border: 1px solid #ccc;
    border-radius: 9999px;
    padding: 0 20px;
    font-size: 14px;
}

.ev-mainProduct__search-button {
    background-color: #d7003a;
    color: white;
    border: none;
    border-radius: 9999px;
    padding: 0 30px;
    height: 45px;
    font-weight: bold;
    cursor: pointer;
    font-size: 14px;

}

.ev-mainProduct__search-button:hover {
    background-color: #c00034;
}

/** END MAIN PRODUCT SEARCH CONTAINER */

/** PRODUCT TOGGLE BUTTON */

.ev-toggle-button-wrapper {
    margin: 0 auto;
    display: flex;
    border-radius: 9999px;
    overflow: hidden;
    height: 50px;
    font-family: sans-serif;
    display: flex;
    justify-content: center;
    margin-top: 20px;
    gap: 0;
    width: 450px;

}

.ev-toggle-button {
    flex: 1;
    border: none;
    outline: none;
    padding: 0;
    cursor: pointer;
    font-size: 14px;
    font-weight: bold;
    color: white;
    transition: background-color 0.3s;
}

.ev-toggle-button.active {
    background-color: #c00034;
    transition: background-color 0.3s ease;
}

.ev-toggle-button.active:hover {
    background-color: #a0002a;
}

.ev-toggle-button.inactive {
    background-color: #ccc;
    transition: background-color 0.3s ease;
}

.ev-toggle-button.inactive:hover {
    background-color: #777;
}

/** PRODUCT DISPLAY GRID */
.ev-wrapper {
    background-color: #ffffff;
}

.ev-category-grid {
    margin-top: 20px;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(215px, 1fr));
    gap: 2px;
    padding: 30px 0;

}

.ev-wrapper-mobile{
    display: none;
}

@media (max-width: 550px) {
  
  .ev-productListNumberOfProducts{
    padding: 0px;
  }
  .ev-mainProduct__search-button-wrapper{
      display: block;
      background-color:#DB002F;
      border-radius: 50px;
      cursor: pointer;
      transition: background-color 0.3s ease;
      background-color: #d7003a;
      height: 45px;
      font-weight: bold;
      font-size: 14px;
      color: #ffffff;
      display: flex;
      align-items: center;
      justify-content: center;
      text-align: center;
  }
  
  .ev-mainProduct__search-button-wrapper:hover {
      background-color: #c00034;
  }
  
  .ev-mainProduct__search-button-wrapper:active {
      background-color: #a0002a;
  }
  .ev-mainProduct__search-container{
      padding-top: 20px;
      padding-bottom: 20px;
      margin-bottom: 20px;
     
  }
  .ev-mainProduct__search-label{
      
      display: inline-block;
      text-align: left;
      margin-left: 0px;
  }

  .ev-mainProductSearchHeader {
      padding-left: 5px;
      padding-right: 5px;
  }
  
  .ev-wrapper{
      display: none;
  }
  .ev-wrapper-mobile{
      display: block;
  }
  .ev-category-grid-mobile{
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      gap: 2px;

  }
  .ev-category-item-mobile{
      display: flex;
      align-items: center;
      background-color: #F1F3F6;
      height: 90px;
      padding: 10px;

  }
  .ev-image-circle-mobile__img{
      border-radius: 50%;
      background-color: #ffffff;
  }
  .ev-image-circle-mobile{
      margin-right: 10px;
      display: flex;
      border-radius: 50%;
      width: 70px;
      height: 70px;
      justify-content: center;
      align-items: center;
      background-color: #ffffff;
     
  }
  .ev-category-item__name-mobile{
      display: inline-block;
      color: #222222;
      font-weight: 700;
      font-family: 'Noto Sans JP', sans-serif;
      font-size: 13px;
      max-width: 75px;
  }
  
}


.ev-category-grid a {
    text-decoration: none;
    display: block;
}

.ev-category-item {
    background-color: #F1F3F6;
    text-align: center;
    padding: 35px 10px;
    transition: transform 0.3s ease, background-color 0.3s ease;
    display: block;
    height: 280px;
}

.ev-category-grid a:hover .ev-category-item {
    transform: scale(1.05);
    background-color: #F1F3F6;
}

.ev-image-circle {
    width: 170px;
    height: 170px;
    background-color: #ffffff;
    border-radius: 50%;
    margin: 0 auto 10px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    padding: 20px;
}

.ev-category-item__name {
    font-size: 14px;
    font-weight: 600;
    margin: 20px 0;
    pointer-events: none;
    color: #222222;
}





